var _lua_murl_system =
[
    [ "Table members", "_lua_murl_system.html#LuaMurlSystemTable", [
      [ "Classes", "_lua_murl_system.html#LuaMurlSystemClasses", null ],
      [ "Functions", "_lua_murl_system.html#LuaMurlSystemFunctions", [
        [ "Murl.System.Init()", "_lua_murl_system.html#LuaMurlSystemInit", null ],
        [ "Murl.System.DeInit()", "_lua_murl_system.html#LuaMurlSystemDeInit", null ],
        [ "Murl.System.Sleep(sleepTime)", "_lua_murl_system.html#LuaMurlSystemSleepTimesleepTime", null ],
        [ "Murl.System.IsHostLittleEndian()", "_lua_murl_system.html#LuaMurlSystemIsHostLittleEndian", null ],
        [ "Murl.System.IsHostBigEndian()", "_lua_murl_system.html#LuaMurlSystemIsHostBigEndian", null ],
        [ "Murl.System.SwapEndianness(value)", "_lua_murl_system.html#LuaMurlSystemSwapEndiannessUInt64value", null ],
        [ "Murl.System.BigEndianToHost(value)", "_lua_murl_system.html#LuaMurlSystemBigEndianToHostUInt64value", null ],
        [ "Murl.System.LittleEndianToHost(value)", "_lua_murl_system.html#LuaMurlSystemLittleEndianToHostUInt64value", null ],
        [ "Murl.System.HostToBigEndian(value)", "_lua_murl_system.html#LuaMurlSystemHostToBigEndianUInt64value", null ],
        [ "Murl.System.HostToLittleEndian(value)", "_lua_murl_system.html#LuaMurlSystemHostToLittleEndianUInt64value", null ],
        [ "Murl.System.GetAbsolutePathOfCurrentExecutable()", "_lua_murl_system.html#LuaMurlSystemGetAbsolutePathOfCurrentExecutable", null ],
        [ "Murl.System.GetNameOfShellExecutable(path, name)", "_lua_murl_system.html#LuaMurlSystemGetNameOfShellExecutableStringpathStringname", null ],
        [ "Murl.System.GetNameOfGuiExecutable(path, name)", "_lua_murl_system.html#LuaMurlSystemGetNameOfGuiExecutableStringpathStringname", null ],
        [ "Murl.System.DemangleTypeName(name)", "_lua_murl_system.html#LuaMurlSystemDemangleTypeNameCharname", null ]
      ] ]
    ] ],
    [ "Murl.System.Console", "_lua_murl_system_console.html", [
      [ "Table members", "_lua_murl_system_console.html#LuaMurlSystemConsoleTable", [
        [ "Enumerations", "_lua_murl_system_console.html#LuaMurlSystemConsoleEnumerations", [
          [ "Level", "_lua_murl_system_console.html#LuaMurlSystemConsoleLevel", null ]
        ] ],
        [ "Functions", "_lua_murl_system_console.html#LuaMurlSystemConsoleFunctions", [
          [ "Murl.System.Console.Print(message)", "_lua_murl_system_console.html#LuaMurlSystemConsolePrintStringmessage", null ],
          [ "Murl.System.Console.PrintEndline(message)", "_lua_murl_system_console.html#LuaMurlSystemConsolePrintEndlineStringmessage", null ],
          [ "Murl.System.Console.PrintHex(data, bytesPerLine)", "_lua_murl_system_console.html#LuaMurlSystemConsolePrintHexConstDatadataUInt32bytesPerLine", null ],
          [ "Murl.System.Console.new()", "_lua_murl_system_console.html#LuaMurlSystemConsolenew", null ],
          [ "Murl.System.Console.new(globalPrefix)", "_lua_murl_system_console.html#LuaMurlSystemConsolenewStringglobalPrefix", null ]
        ] ],
        [ "Methods", "_lua_murl_system_console.html#LuaMurlSystemConsoleMethods", [
          [ "SetLevel(level)", "_lua_murl_system_console.html#LuaMurlSystemConsoleSetLevelLevellevel", null ],
          [ "GetLevel()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetLevel", null ],
          [ "SetIndentWidth(indentWidth)", "_lua_murl_system_console.html#LuaMurlSystemConsoleSetIndentWidthUInt32indentWidth", null ],
          [ "GetIndentWidth()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetIndentWidth", null ],
          [ "SetIndentChar(indentChar)", "_lua_murl_system_console.html#LuaMurlSystemConsoleSetIndentCharCharindentChar", null ],
          [ "GetIndentChar()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetIndentChar", null ],
          [ "SetGlobalPrefix(prefix)", "_lua_murl_system_console.html#LuaMurlSystemConsoleSetGlobalPrefixStringprefix", null ],
          [ "GetGlobalPrefix()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetGlobalPrefix", null ],
          [ "SetInfoPrefix(prefix)", "_lua_murl_system_console.html#LuaMurlSystemConsoleSetInfoPrefixStringprefix", null ],
          [ "GetInfoPrefix()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetInfoPrefix", null ],
          [ "SetWarningPrefix(prefix)", "_lua_murl_system_console.html#LuaMurlSystemConsoleSetWarningPrefixStringprefix", null ],
          [ "GetWarningPrefix()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetWarningPrefix", null ],
          [ "SetErrorPrefix(prefix)", "_lua_murl_system_console.html#LuaMurlSystemConsoleSetErrorPrefixStringprefix", null ],
          [ "GetErrorPrefix()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetErrorPrefix", null ],
          [ "GetCurrentSection()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetCurrentSection", null ],
          [ "GetCurrentIndentString()", "_lua_murl_system_console.html#LuaMurlSystemConsoleGetCurrentIndentString", null ],
          [ "BeginSection()", "_lua_murl_system_console.html#LuaMurlSystemConsoleBeginSection", null ],
          [ "BeginSection(message)", "_lua_murl_system_console.html#LuaMurlSystemConsoleBeginSectionStringmessage", null ],
          [ "EndSection()", "_lua_murl_system_console.html#LuaMurlSystemConsoleEndSection", null ],
          [ "EndSection(message)", "_lua_murl_system_console.html#LuaMurlSystemConsoleEndSectionStringmessage", null ],
          [ "PrintInfo(message)", "_lua_murl_system_console.html#LuaMurlSystemConsolePrintInfoStringmessage", null ],
          [ "PrintWarning(message)", "_lua_murl_system_console.html#LuaMurlSystemConsolePrintWarningStringmessage", null ],
          [ "PrintError(message)", "_lua_murl_system_console.html#LuaMurlSystemConsolePrintErrorStringmessage", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.System.DateTime", "_lua_murl_system_date_time.html", [
      [ "Table members", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimeTable", [
        [ "Functions", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimeFunctions", [
          [ "Murl.System.DateTime.GetNow()", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimeGetNow", null ],
          [ "Murl.System.DateTime.new()", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimenew", null ],
          [ "Murl.System.DateTime.new(time)", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimenewTimetime", null ]
        ] ],
        [ "Methods", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimeMethods", [
          [ "ToString()", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimeToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimeMetamethods", [
          [ "The tostring operator", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimeMeta__tostring", null ]
        ] ],
        [ "Instance Members", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimeInstanceMembers", [
          [ "mHour", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimemHour", null ],
          [ "mMinute", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimemMinute", null ],
          [ "mSecond", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimemSecond", null ],
          [ "mYear", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimemYear", null ],
          [ "mMonth", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimemMonth", null ],
          [ "mDay", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimemDay", null ],
          [ "mDayOfWeek", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimemDayOfWeek", null ],
          [ "mDayOfYear", "_lua_murl_system_date_time.html#LuaMurlSystemDateTimemDayOfYear", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.System.File", "_lua_murl_system_file.html", [
      [ "Table members", "_lua_murl_system_file.html#LuaMurlSystemFileTable", [
        [ "Functions", "_lua_murl_system_file.html#LuaMurlSystemFileFunctions", [
          [ "Murl.System.File.GetFiles(path)", "_lua_murl_system_file.html#LuaMurlSystemFileGetFilesStringpath", null ],
          [ "Murl.System.File.FileExists(path)", "_lua_murl_system_file.html#LuaMurlSystemFileFileExistsStringpath", null ],
          [ "Murl.System.File.DeleteFile(path)", "_lua_murl_system_file.html#LuaMurlSystemFileDeleteFileStringpath", null ],
          [ "Murl.System.File.MoveFile(oldPath, newPath)", "_lua_murl_system_file.html#LuaMurlSystemFileMoveFileStringoldPathStringnewPath", null ],
          [ "Murl.System.File.GetFileSize(path)", "_lua_murl_system_file.html#LuaMurlSystemFileGetFileSizeStringpath", null ],
          [ "Murl.System.File.GetFolders(path)", "_lua_murl_system_file.html#LuaMurlSystemFileGetFoldersStringpath", null ],
          [ "Murl.System.File.FolderExists(path)", "_lua_murl_system_file.html#LuaMurlSystemFileFolderExistsStringpath", null ],
          [ "Murl.System.File.CreateFolder(path)", "_lua_murl_system_file.html#LuaMurlSystemFileCreateFolderStringpath", null ],
          [ "Murl.System.File.DeleteFolder(path, recursively)", "_lua_murl_system_file.html#LuaMurlSystemFileDeleteFolderStringpathBoolrecursively", null ],
          [ "Murl.System.File.MoveFolder(oldPath, newPath)", "_lua_murl_system_file.html#LuaMurlSystemFileMoveFolderStringoldPathStringnewPath", null ],
          [ "Murl.System.File.GetItemCreationTime(path, time)", "_lua_murl_system_file.html#LuaMurlSystemFileGetItemCreationTimeStringpathTimetime", null ],
          [ "Murl.System.File.GetItemModificationTime(path, time)", "_lua_murl_system_file.html#LuaMurlSystemFileGetItemModificationTimeStringpathTimetime", null ],
          [ "Murl.System.File.new()", "_lua_murl_system_file.html#LuaMurlSystemFilenew", null ]
        ] ],
        [ "Methods", "_lua_murl_system_file.html#LuaMurlSystemFileMethods", [
          [ "Open(fileName, mode)", "_lua_murl_system_file.html#LuaMurlSystemFileOpenStringfileNameIEnumsFileAccessModemode", null ],
          [ "Close()", "_lua_murl_system_file.html#LuaMurlSystemFileClose", null ],
          [ "IsOpen()", "_lua_murl_system_file.html#LuaMurlSystemFileIsOpen", null ],
          [ "GetSize()", "_lua_murl_system_file.html#LuaMurlSystemFileGetSize", null ],
          [ "GetPosition()", "_lua_murl_system_file.html#LuaMurlSystemFileGetPosition", null ],
          [ "SetPosition(position)", "_lua_murl_system_file.html#LuaMurlSystemFileSetPositionUInt64position", null ]
        ] ]
      ] ]
    ] ],
    [ "Murl.System.Time", "_lua_murl_system_time.html", [
      [ "Table members", "_lua_murl_system_time.html#LuaMurlSystemTimeTable", [
        [ "Members", "_lua_murl_system_time.html#LuaMurlSystemTimeMembers", [
          [ "Murl.System.Time.MILLI_SECONDS_PER_SECOND", "_lua_murl_system_time.html#LuaMurlSystemTimeMILLI_SECONDS_PER_SECOND", null ],
          [ "Murl.System.Time.MICRO_SECONDS_PER_SECOND", "_lua_murl_system_time.html#LuaMurlSystemTimeMICRO_SECONDS_PER_SECOND", null ],
          [ "Murl.System.Time.NANO_SECONDS_PER_SECOND", "_lua_murl_system_time.html#LuaMurlSystemTimeNANO_SECONDS_PER_SECOND", null ],
          [ "Murl.System.Time.MICRO_SECONDS_PER_MILLI_SECOND", "_lua_murl_system_time.html#LuaMurlSystemTimeMICRO_SECONDS_PER_MILLI_SECOND", null ],
          [ "Murl.System.Time.NANO_SECONDS_PER_MILLI_SECOND", "_lua_murl_system_time.html#LuaMurlSystemTimeNANO_SECONDS_PER_MILLI_SECOND", null ],
          [ "Murl.System.Time.NANO_SECONDS_PER_MICRO_SECOND", "_lua_murl_system_time.html#LuaMurlSystemTimeNANO_SECONDS_PER_MICRO_SECOND", null ]
        ] ],
        [ "Functions", "_lua_murl_system_time.html#LuaMurlSystemTimeFunctions", [
          [ "Murl.System.Time.GetNow()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetNow", null ],
          [ "Murl.System.Time.GetTickCount()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetTickCount", null ],
          [ "Murl.System.Time.FromSeconds(seconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeFromSecondsUInt64seconds", null ],
          [ "Murl.System.Time.FromMilliSeconds(milliSeconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeFromMilliSecondsUInt64milliSeconds", null ],
          [ "Murl.System.Time.FromMicroSeconds(microSeconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeFromMicroSecondsUInt64microSeconds", null ],
          [ "Murl.System.Time.FromNanoSeconds(nanoSeconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeFromNanoSecondsUInt64nanoSeconds", null ],
          [ "Murl.System.Time.Zero()", "_lua_murl_system_time.html#LuaMurlSystemTimeZero", null ],
          [ "Murl.System.Time.Infinite()", "_lua_murl_system_time.html#LuaMurlSystemTimeInfinite", null ],
          [ "Murl.System.Time.Min()", "_lua_murl_system_time.html#LuaMurlSystemTimeMin", null ],
          [ "Murl.System.Time.Max()", "_lua_murl_system_time.html#LuaMurlSystemTimeMax", null ],
          [ "Murl.System.Time.new()", "_lua_murl_system_time.html#LuaMurlSystemTimenew", null ],
          [ "Murl.System.Time.new(seconds)", "_lua_murl_system_time.html#LuaMurlSystemTimenewDoubleseconds", null ],
          [ "Murl.System.Time.new(seconds, nanoSeconds)", "_lua_murl_system_time.html#LuaMurlSystemTimenewUInt64secondsUInt64nanoSeconds", null ]
        ] ],
        [ "Methods", "_lua_murl_system_time.html#LuaMurlSystemTimeMethods", [
          [ "SetNow()", "_lua_murl_system_time.html#LuaMurlSystemTimeSetNow", null ],
          [ "SetTickCount()", "_lua_murl_system_time.html#LuaMurlSystemTimeSetTickCount", null ],
          [ "SetZero()", "_lua_murl_system_time.html#LuaMurlSystemTimeSetZero", null ],
          [ "SetInfinite()", "_lua_murl_system_time.html#LuaMurlSystemTimeSetInfinite", null ],
          [ "GetDouble()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetDouble", null ],
          [ "SetDouble(seconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeSetDoubleDoubleseconds", null ],
          [ "GetSeconds()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetSeconds", null ],
          [ "SetSeconds(seconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeSetSecondsUInt64seconds", null ],
          [ "GetMilliSeconds()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetMilliSeconds", null ],
          [ "SetMilliSeconds(milliSeconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeSetMilliSecondsUInt64milliSeconds", null ],
          [ "GetMicroSeconds()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetMicroSeconds", null ],
          [ "SetMicroSeconds(microSeconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeSetMicroSecondsUInt64microSeconds", null ],
          [ "GetNanoSeconds()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetNanoSeconds", null ],
          [ "SetNanoSeconds(nanoSeconds)", "_lua_murl_system_time.html#LuaMurlSystemTimeSetNanoSecondsUInt64nanoSeconds", null ],
          [ "GetMilliSecondsFraction()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetMilliSecondsFraction", null ],
          [ "GetMicroSecondsFraction()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetMicroSecondsFraction", null ],
          [ "GetNanoSecondsFraction()", "_lua_murl_system_time.html#LuaMurlSystemTimeGetNanoSecondsFraction", null ],
          [ "IsZero()", "_lua_murl_system_time.html#LuaMurlSystemTimeIsZero", null ],
          [ "IsInfinite()", "_lua_murl_system_time.html#LuaMurlSystemTimeIsInfinite", null ],
          [ "ToString()", "_lua_murl_system_time.html#LuaMurlSystemTimeToString", null ]
        ] ],
        [ "Metamethods", "_lua_murl_system_time.html#LuaMurlSystemTimeMetamethods", [
          [ "The tostring operator", "_lua_murl_system_time.html#LuaMurlSystemTimeMeta__tostring", null ],
          [ "The addition operator.", "_lua_murl_system_time.html#LuaMurlSystemTimeMeta__addTimerhs", null ],
          [ "The subtraction operator.", "_lua_murl_system_time.html#LuaMurlSystemTimeMeta__subTimerhs", null ],
          [ "The equal to operator.", "_lua_murl_system_time.html#LuaMurlSystemTimeMeta__eqTimerhs", null ],
          [ "The less than operator.", "_lua_murl_system_time.html#LuaMurlSystemTimeMeta__ltTimerhs", null ],
          [ "The less than or equal operator.", "_lua_murl_system_time.html#LuaMurlSystemTimeMeta__leTimerhs", null ]
        ] ]
      ] ]
    ] ]
];