/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Murl Engine Lua Addon API", "index.html", [
    [ "General", "index.html#LuaGeneral", [
      [ "Standard Libraries", "index.html#LuaStandardLibraries", null ],
      [ "Murl Iterators", "index.html#LuaMurlIterators", null ]
    ] ],
    [ "Native values and types", "index.html#LuaNativeTypes", [
      [ "Number", "index.html#LuaNativeNumber", null ],
      [ "Integer", "index.html#LuaNativeInteger", null ],
      [ "Char", "index.html#LuaNativeChar", null ],
      [ "Boolean", "index.html#LuaNativeBoolean", null ],
      [ "String", "index.html#LuaNativeString", null ],
      [ "Nil", "index.html#LuaNativeNil", null ],
      [ "Table", "index.html#LuaNativeTable", null ]
    ] ],
    [ "Murl", "_lua_murl.html", "_lua_murl" ]
  ] ]
];

var NAVTREEINDEX =
[
"_lua_murl.html",
"_lua_murl_array_double.html#LuaMurlArrayDoubleSetSInt32indexDataTypeitemSInt32count",
"_lua_murl_array_graph_i_tracker_result_const.html#LuaMurlArrayGraphITrackerResultConstMetaLuaArraySInt32index",
"_lua_murl_array_i_game_controller_mapping_axis_mapping.html#LuaMurlArrayIGameControllerMappingAxisMappingSwapSInt32index1SInt32index2",
"_lua_murl_array_s_int16.html#LuaMurlArraySInt16Add",
"_lua_murl_array_shared_pointer_net_i_socket.html#LuaMurlArraySharedPointerNetISocketGetByteSize",
"_lua_murl_array_u_int64.html#LuaMurlArrayUInt64Methods",
"_lua_murl_color.html#LuaMurlColorToUInt32",
"_lua_murl_graph_i_animation_time_controller.html#LuaMurlGraphIAnimationTimeControllerGetRotationBlendDirection",
"_lua_murl_graph_i_button.html#LuaMurlGraphIButtonGetBorderY",
"_lua_murl_graph_i_collidable.html#LuaMurlGraphICollidableSetSurfaceSlotSInt32slot",
"_lua_murl_graph_i_float_vector4_attribute.html#LuaMurlGraphIFloatVector4AttributeTable",
"_lua_murl_graph_i_generic_node_target_graph_i_bone_state.html#LuaMurlGraphIGenericNodeTargetGraphIBoneStateSetInitializedBoolinitialized",
"_lua_murl_graph_i_generic_node_target_graph_i_constant_buffer_parameter.html#LuaMurlGraphIGenericNodeTargetGraphIConstantBufferParameterGetNodeUInt32index",
"_lua_murl_graph_i_generic_node_target_graph_i_generic_parameter.html#LuaMurlGraphIGenericNodeTargetGraphIGenericParameterTable",
"_lua_murl_graph_i_generic_node_target_graph_i_light_transform.html#LuaMurlGraphIGenericNodeTargetGraphILightTransformSetInitializedBoolinitialized",
"_lua_murl_graph_i_generic_node_target_graph_i_plane_geometry.html#LuaMurlGraphIGenericNodeTargetGraphIPlaneGeometryGetNodeUInt32index",
"_lua_murl_graph_i_generic_node_target_graph_i_shader_program.html#LuaMurlGraphIGenericNodeTargetGraphIShaderProgramTable",
"_lua_murl_graph_i_generic_node_target_graph_i_texture_state.html#LuaMurlGraphIGenericNodeTargetGraphITextureStateSetInitializedBoolinitialized",
"_lua_murl_graph_i_generic_resource_target.html",
"_lua_murl_graph_i_hinge_joint.html",
"_lua_murl_graph_i_material.html#LuaMurlGraphIMaterialIsStencilBufferClearingEnabled",
"_lua_murl_graph_i_plane_geometry.html#LuaMurlGraphIPlaneGeometrySetContainerAlignmentYIEnumsAlignmentYalignmentY",
"_lua_murl_graph_i_shader_parameter.html#LuaMurlGraphIShaderParameterTable",
"_lua_murl_graph_i_texture.html#LuaMurlGraphITextureGetNumberOfDetailLevels",
"_lua_murl_graph_i_uniform.html#LuaMurlGraphIUniformMethods",
"_lua_murl_i_app_configuration.html#LuaMurlIAppConfigurationGetSystemDebugInfoItems",
"_lua_murl_i_attributes.html#LuaMurlIAttributesGetValueByIndexUInt32indexIAttributesparamsBoolvalueBoolerror",
"_lua_murl_i_engine_configuration.html#LuaMurlIEngineConfigurationSetAudioRendererClassNameStringclassName",
"_lua_murl_i_enums.html#LuaMurlIEnumsSUSPENDABLE_RESOURCES_NONE",
"_lua_murl_i_game_center_control.html#LuaMurlIGameCenterControlIsLeaderboardShowing",
"_lua_murl_i_platform_configuration.html#LuaMurlIPlatformConfigurationGetSizeXFromNumberOfPixelsRealnumberOfPixelsIEnumsLengthMeasureunit",
"_lua_murl_index_base_double_array_double_std_hash_double.html#LuaMurlIndexBaseDoubleArrayDoubleStdHashDoubleFindNextSInt32index",
"_lua_murl_index_base_s_int16_array_s_int16_std_hash_s_int16.html#LuaMurlIndexBaseSInt16ArraySInt16StdHashSInt16SetSInt32indexKeyTypekey",
"_lua_murl_index_base_u_int16_array_u_int16_std_hash_u_int16.html#LuaMurlIndexBaseUInt16ArrayUInt16StdHashUInt16GetCount",
"_lua_murl_index_s_int16.html#LuaMurlIndexSInt16Inherited",
"_lua_murl_input_i_plane.html#LuaMurlInputIPlaneSetSizeRealsizeXRealsizeY",
"_lua_murl_logic_animation_color.html#LuaMurlLogicAnimationColorCreate",
"_lua_murl_logic_animation_s_int32.html#LuaMurlLogicAnimationSInt32SetEndTimeFromKeySInt32index",
"_lua_murl_logic_graph_node_t_graph_i_anchor_state.html#LuaMurlLogicGraphNodeTGraphIAnchorStateGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_body.html#LuaMurlLogicGraphNodeTGraphIBodyGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_button.html#LuaMurlLogicGraphNodeTGraphIButtonGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_clip.html#LuaMurlLogicGraphNodeTGraphIClipGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_constant_buffer_parameter.html#LuaMurlLogicGraphNodeTGraphIConstantBufferParameterGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_cube_geometry.html#LuaMurlLogicGraphNodeTGraphICubeGeometryGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_fixed_parameters.html#LuaMurlLogicGraphNodeTGraphIFixedParametersGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_generic_parameter_group.html#LuaMurlLogicGraphNodeTGraphIGenericParameterGroupGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_island.html#LuaMurlLogicGraphNodeTGraphIIslandGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_light.html#LuaMurlLogicGraphNodeTGraphILightGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_listener_state.html#LuaMurlLogicGraphNodeTGraphIListenerStateGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_material_state_copy.html#LuaMurlLogicGraphNodeTGraphIMaterialStateCopyGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_parameters.html#LuaMurlLogicGraphNodeTGraphIParametersGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_plane_sequence_geometry.html#LuaMurlLogicGraphNodeTGraphIPlaneSequenceGeometryGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_resource_mesh_culler.html#LuaMurlLogicGraphNodeTGraphIResourceMeshCullerGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_shader_parameter.html#LuaMurlLogicGraphNodeTGraphIShaderParameterGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_sphere_collider.html#LuaMurlLogicGraphNodeTGraphISphereColliderGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_surface_state.html#LuaMurlLogicGraphNodeTGraphISurfaceStateGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_text_texture.html#LuaMurlLogicGraphNodeTGraphITextTextureGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_timeline_state.html#LuaMurlLogicGraphNodeTGraphITimelineStateGetNodeInterface",
"_lua_murl_logic_graph_node_t_graph_i_video_source.html#LuaMurlLogicGraphNodeTGraphIVideoSourceGetNodeInterface",
"_lua_murl_logic_i_device_handler.html#LuaMurlLogicIDeviceHandlerGetNumberOfAvailableProducts",
"_lua_murl_logic_i_stage.html#LuaMurlLogicIStageTable",
"_lua_murl_logic_timeline.html#LuaMurlLogicTimelineReset",
"_lua_murl_math.html#LuaMurlMathExpDataTypevalue",
"_lua_murl_math_matrix.html#LuaMurlMathMatrixFunctions",
"_lua_murl_math_sphere.html#LuaMurlMathSphereIsContainingVectorDataTypep",
"_lua_murl_net_i_socket_packet.html#LuaMurlNetISocketPacketObtainDataDatadata",
"_lua_murl_queue_s_int16.html#LuaMurlQueueSInt16Table",
"_lua_murl_queue_u_int8.html#LuaMurlQueueUInt8Meta__len",
"_lua_murl_resource_i_outline.html#LuaMurlResourceIOutlineGetNumberOfPoints",
"_lua_murl_shared_array_bool.html#LuaMurlSharedArrayBoolReserveSInt32n",
"_lua_murl_shared_array_i_game_controller_mapping_button_mapping.html#LuaMurlSharedArrayIGameControllerMappingButtonMappingSwapSInt32index1SInt32index2",
"_lua_murl_shared_pointer_logic_animation_s_int32.html#LuaMurlSharedPointerLogicAnimationSInt32new",
"_lua_murl_shared_pointer_logic_i_timeline.html#LuaMurlSharedPointerLogicITimeline_IsUnique",
"_lua_murl_system_file.html#LuaMurlSystemFileDeleteFolderStringpathBoolrecursively",
"_lua_murl_util_geo_location.html#LuaMurlUtilGeoLocationGetRotationAnglesMatrixrotation"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';